Macaulay2 » Documentation
Packages » GradedLieAlgebras :: LieDerivation LieElement
next | previous | forward | backward | up | index | toc

# LieDerivation LieElement -- apply a derivation

- Operator: SPACE
- Usage:
    `y = d x`
- Inputs:
  - d, an instance of the type LieDerivation,
  - x, an instance of the type LieElement, $x$ is an element in the source of $d$
- Outputs:
  - y, an instance of the type LieElement, $y$ is the result of applying $d$ to the element $x$

## Description

    i1 : L = lieAlgebra{a,b}

    o1 = L

    o1 : LieAlgebra

    i2 : d = lieDerivation{a,b}

    o2 = d

    o2 : LieDerivation

    i3 : d a a a b a

    o3 = 5 (a a a b a)

    o3 : L

## See also

- LieAlgebraMap LieElement -- apply a Lie homomorphism

## Ways to use this method:

- LieDerivation LieElement -- apply a derivation

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/GradedLieAlgebras/doc.m2:2761:0.